# TdApi.SetPinnedChats

Package it.ernytech.tdlib

## Class TdApi.SetPinnedChats

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetPinnedChats

Enclosing class:
  TdApi

    public static class TdApi.SetPinnedChats
    extends TdApi.Function

Changes the order of pinned chats.

Returns `Ok`

### Field Summary

Fields
`long[]` `chatIds` The new list of pinned chats.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`SetPinnedChats()` Default constructor.
`SetPinnedChats​(long[] chatIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatIds

    public long[] chatIds

The new list of pinned chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetPinnedChats

    public SetPinnedChats()

Default constructor.

#### SetPinnedChats

    public SetPinnedChats​(long[] chatIds)

Constructor for initialization of all fields.

Parameters:
  `chatIds` - The new list of pinned chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR